import init from "./src/index.ts";

const app = await init();

app.addEventListener("listen", ({
    hostname,
    port,
}) => {
    console.log(
        `Wackylytics server listening on http://${
            hostname ?? "localhost"
        }:${port}`,
    );
});

await app.listen({
    port: Number(Deno.env.get("PORT")) ?? 8080,
});
